package com.bailuntec.domain.entity;

import javax.persistence.Id;
import java.math.BigDecimal;
import java.util.Date;

public class DcMonthStorageFee {
    @Id
    private Integer id;
    private String asin;
    private String fnsku;
    private String productName;
    private String fulfillmentCenter;
    private String countryCode;
    private BigDecimal longestSide;
    private BigDecimal medianSide;
    private BigDecimal shortestSide;
    private String measurementUnits;
    private BigDecimal weight;
    private String weightUnits;
    private BigDecimal itemVolume;
    private String volumeUnits;
    private BigDecimal averageQuantityOnHand;
    private BigDecimal averageQuantityPendingRemoval;
    private BigDecimal totalItemVolume;
    private Date monthOfCharge;
    private BigDecimal storageRate;
    private String currency;
    private String bailunAccount;
    private String sellerId;
    private String platform;
    private String size;
    private BigDecimal monthlyStorageFee;
    private Date createTime;
    private Date updateTime;

    public String getSellerId() {
        return sellerId;
    }

    public void setSellerId(String sellerId) {
        this.sellerId = sellerId;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAsin() {
        return asin;
    }

    public void setAsin(String asin) {
        this.asin = asin;
    }

    public String getFnsku() {
        return fnsku;
    }

    public void setFnsku(String fnsku) {
        this.fnsku = fnsku;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getFulfillmentCenter() {
        return fulfillmentCenter;
    }

    public void setFulfillmentCenter(String fulfillmentCenter) {
        this.fulfillmentCenter = fulfillmentCenter;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public BigDecimal getLongestSide() {
        return longestSide;
    }

    public void setLongestSide(BigDecimal longestSide) {
        this.longestSide = longestSide;
    }

    public BigDecimal getMedianSide() {
        return medianSide;
    }

    public void setMedianSide(BigDecimal medianSide) {
        this.medianSide = medianSide;
    }

    public BigDecimal getShortestSide() {
        return shortestSide;
    }

    public void setShortestSide(BigDecimal shortestSide) {
        this.shortestSide = shortestSide;
    }

    public String getMeasurementUnits() {
        return measurementUnits;
    }

    public void setMeasurementUnits(String measurementUnits) {
        this.measurementUnits = measurementUnits;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getWeightUnits() {
        return weightUnits;
    }

    public void setWeightUnits(String weightUnits) {
        this.weightUnits = weightUnits;
    }

    public BigDecimal getItemVolume() {
        return itemVolume;
    }

    public void setItemVolume(BigDecimal itemVolume) {
        this.itemVolume = itemVolume;
    }

    public String getVolumeUnits() {
        return volumeUnits;
    }

    public void setVolumeUnits(String volumeUnits) {
        this.volumeUnits = volumeUnits;
    }

    public BigDecimal getAverageQuantityOnHand() {
        return averageQuantityOnHand;
    }

    public void setAverageQuantityOnHand(BigDecimal averageQuantityOnHand) {
        this.averageQuantityOnHand = averageQuantityOnHand;
    }

    public BigDecimal getAverageQuantityPendingRemoval() {
        return averageQuantityPendingRemoval;
    }

    public void setAverageQuantityPendingRemoval(BigDecimal averageQuantityPendingRemoval) {
        this.averageQuantityPendingRemoval = averageQuantityPendingRemoval;
    }

    public BigDecimal getTotalItemVolume() {
        return totalItemVolume;
    }

    public void setTotalItemVolume(BigDecimal totalItemVolume) {
        this.totalItemVolume = totalItemVolume;
    }

    public Date getMonthOfCharge() {
        return monthOfCharge;
    }

    public void setMonthOfCharge(Date monthOfCharge) {
        this.monthOfCharge = monthOfCharge;
    }

    public BigDecimal getStorageRate() {
        return storageRate;
    }

    public void setStorageRate(BigDecimal storageRate) {
        this.storageRate = storageRate;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getBailunAccount() {
        return bailunAccount;
    }

    public void setBailunAccount(String bailunAccount) {
        this.bailunAccount = bailunAccount;
    }

    public BigDecimal getMonthlyStorageFee() {
        return monthlyStorageFee;
    }

    public void setMonthlyStorageFee(BigDecimal monthlyStorageFee) {
        this.monthlyStorageFee = monthlyStorageFee;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
